// --------------------------------
// checkTemperature script comment
// --------------------------------

int sensorId = 7;		// id of temperature sensor
int temperatureMax = 80000;		// commonly given in mC so 80000 is 80C

string deviceId;
int li = CreateRdmDeviceList();
int deviceCount = GetRdmDeviceCount(li);

// iterate all rdm devices
int i;
for (i = 0; i < deviceCount; i++)
{
	deviceId = GetRdmDeviceId(li, i);
	//printf("deviceId = %s\n", deviceId);
	checkTemperature(deviceId);
}
DestroyRdmDeviceList(li);


// checks if temperature value from sensor is within allowed range
function checkTemperature(string deviceId)
{
	int t = GetRdmSensorValue(deviceId, sensorId);
	//printf("   %s   %d\n", deviceId, t);
	if (t > temperatureMax)
	{
		// do something if temperature too high
		alert("Warning: temperature of device %s is > %d!\n", deviceId, temperatureMax);
	}
}
